### Method

# Adw AlertDialog set_response_appearance

since: 1.5

#### Declaration [src]

    void
    adw_alert_dialog_set_response_appearance (
      AdwAlertDialog* self,
      const char* response,
      AdwResponseAppearance appearance
    )

#### Description [src]

Sets the appearance for `response`.

Use `ADW_RESPONSE_SUGGESTED` to mark important responses such as the affirmative action, like the Save button in the example.

Use `ADW_RESPONSE_DESTRUCTIVE` to draw attention to the potentially damaging consequences of using `response`. This appearance acts as a warning to the user. The Discard button in the example is using this appearance.

The default appearance is `ADW_RESPONSE_DEFAULT`.

Negative responses like Cancel or Close should use the default appearance.

Available since: 1.5

#### Parameters

`response`

  Type: `const char*`

  A response ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`appearance`

  Type: `AdwResponseAppearance`

  Appearance for `response`.